using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace WorkFlowCheck.Common.DTO
{
    public class RoleDTO
    {
        public int Id { get; set; }

        [Required(ErrorMessage = "A szabály megnevezésének megadása kötelező.")]
        [DisplayName("Megnevezés")]
        public string RoleName { get; set; } = null!;

        public int? ParentId { get; set; }

        [DisplayName("Szülő szerepkör neve")]
        public string? ParentRoleName { get; set; }
        
        [DisplayName("Adminisztrátor?")]
        public bool IsAdmin { get; set; }
        
        [DisplayName("Új program letöltés?")]
        public bool CanDownloadAPK { get; set; }
        
        [DisplayName("Folyamat blokk/engedélyez?")]
        public bool CanEnableBlocked { get; set; }

        [DisplayName("WEB felület?")]
        public bool CanUseWebAdmin { get; set; }
        
        [DisplayName("Mobil App?")]
        public bool CanUseMobilApp { get; set; }
    }

}
